charge_status
POST
Callout charge_status: asks your endpoint for the state of a pending charge.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”webhook-id
required
string
Unique id of this delivery. Deduplicate on it.
webhook-timestamp
required
string
Unix time in seconds when the delivery was signed.
webhook-signature
required
string
Standard Webhooks signature, v1,<base64 HMAC-SHA256> of id.timestamp.body.
webhook-type
required
string
Always charge_status.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ChargeStatusRequest
Callout charge_status: asks your endpoint for the state of a pending charge.
object
purchase_id
required
Purchase Id
Id of the purchase to check.
string format: uuid
Example generated
{ "purchase_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”The answer we use
Media typeapplication/json
ChargeResponse
Your answer to the charge and charge_status callouts.
object
Example
{ "external_ref": null, "status": "paid", "topup_url": null}